<?php
/**
 * @author 1902 Software
 * @copyright Copyright © 2023 1902 Software (https://1902software.com/magento/)
 * @package WriteTextAI_WriteTextAI
 */

declare(strict_types=1);

namespace WriteTextAI\WriteTextAI\Model;

use Magento\Framework\Model\AbstractModel;
use WriteTextAI\WriteTextAI\Api\Data\UserWebTokenInterface;

class UserWebToken extends AbstractModel implements UserWebTokenInterface
{
    /**
     * @inheritDoc
     */
    public function _construct()
    {
        $this->_init(\WriteTextAI\WriteTextAI\Model\ResourceModel\UserWebToken::class);
    }

    /**
     * @inheritDoc
     */
    public function getUserwebtokenId()
    {
        return $this->getData(self::USERWEBTOKEN_ID);
    }

    /**
     * @inheritDoc
     */
    public function setUserwebtokenId($userwebtokenId)
    {
        return $this->setData(self::USERWEBTOKEN_ID, $userwebtokenId);
    }

    /**
     * @inheritDoc
     */
    public function getUserId()
    {
        return $this->getData(self::USER_ID);
    }

    /**
     * @inheritDoc
     */
    public function setUserId($userId)
    {
        return $this->setData(self::USER_ID, $userId);
    }

    /**
     * @inheritDoc
     */
    public function getToken()
    {
        return $this->getData(self::TOKEN);
    }

    /**
     * @inheritDoc
     */
    public function setToken($token)
    {
        return $this->setData(self::TOKEN, $token);
    }
}
